# Jaxer.Util.Stopwatch : Object
Return to: Jaxer Framework index

The namespace that holds functions timing javascript

## Platform Support

Jaxer Server Framework | Jaxer Client Framework
--- | ---
1.0 | no

## Properties

Property | Action | Jaxer Server Framework | Jaxer Client Framework
--- | --- | --- | ---
static clocks : Object A hashmap keyed by timer label, each element contains the timestamp last set. | No Details | 1.0 | no

static laps : Object A hashmap keyed by lap label, each element contains the timestamp last set. | No Details | 1.0 | no

static timings : Object A hashmap keyed by timer label, each element contains an Array of timing measurements. | No Details | 1.0 | no

## Functions

Method | Action | Jaxer Server Framework | Jaxer Client Framework
--- | --- | --- | ---
static flush([Function fn]) : void This method is invoked to analyze/save/display the currently stored measurement timers. If no function parameter is provided then contents of the measurement timers are written to the logfile. If a function is provided then it is invoked with the timings hashmap (Jaxer.Util.Stopwatch.timings) as the only parameter. | Show Details | 1.0 | no

Parameters

Function | fn | (optional)The provided function is executed before all current timers are cleared. The function is provided the timings hashmap (Jaxer.Util.Stopwatch.timings) as the only parameter.

static lap(String label) : void A lap timer which will store the delta between each invocation for later analysis | Show Details | 1.0 | no

Parameters

String | label | A label to uniquely identify this measurement timer

static lapCount(String label) : void This method returns the value of the lapcounter for the provided label. | Show Details | 1.0 | no

Parameters

String | label | A label to uniquely identify this measurement timer

static reset() : void Reset all the currently managed timers | No Details | 1.0 | no

static start(String label) : void Start a timer for the provided label | Show Details | 1.0 | no

Parameters

String | label | A label to uniquely identify this measurement timer

static stop(String label) : void Stops the current timer and stores the result for later analysis | Show Details | 1.0 | no

Parameters

String | label | A label to uniquely identify this measurement timer

aptana_docs